org.apache.lucene.index

## Class AssertingDirectoryReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.CompositeReader
    - - org.apache.lucene.index.BaseCompositeReader<LeafReader>
      - - org.apache.lucene.index.DirectoryReader
        - - org.apache.lucene.index.FilterDirectoryReader
          - - org.apache.lucene.index.AssertingDirectoryReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class AssertingDirectoryReader
      extends FilterDirectoryReader

  A `DirectoryReader` that wraps all its subreaders with `AssertingLeafReader`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.FilterDirectoryReader

      `FilterDirectoryReader.SubReaderWrapper`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.ReaderClosedListener`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilterDirectoryReader

      `in`

    - ### Fields inherited from class org.apache.lucene.index.DirectoryReader

      `directory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingDirectoryReader(DirectoryReader in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DirectoryReader` | `doWrapDirectoryReader(DirectoryReader in)`
    `Object` | `getCombinedCoreAndDeletesKey()`
    `Object` | `getCoreCacheKey()`

    - ### Methods inherited from class org.apache.lucene.index.FilterDirectoryReader

      `doClose, doOpenIfChanged, doOpenIfChanged, doOpenIfChanged, getDelegate, getIndexCommit, getVersion, isCurrent, unwrap`

    - ### Methods inherited from class org.apache.lucene.index.DirectoryReader

      `directory, indexExists, listCommits, open, open, open, open, openIfChanged, openIfChanged, openIfChanged, openIfChanged`

    - ### Methods inherited from class org.apache.lucene.index.BaseCompositeReader

      `docFreq, document, getDocCount, getSequentialSubReaders, getSumDocFreq, getSumTotalTermFreq, getTermVectors, maxDoc, numDocs, readerBase, readerIndex, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.CompositeReader

      `getContext, toString`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `addReaderClosedListener, close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, removeReaderClosedListener, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingDirectoryReader

          public AssertingDirectoryReader(DirectoryReader in)
                                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### doWrapDirectoryReader

          protected DirectoryReader doWrapDirectoryReader(DirectoryReader in)
                                                   throws IOException

      Specified by:
        `doWrapDirectoryReader` in class `FilterDirectoryReader`
      Throws:
        `IOException`

    - #### getCoreCacheKey

          public Object getCoreCacheKey()

      Overrides:
        `getCoreCacheKey` in class `IndexReader`

    - #### getCombinedCoreAndDeletesKey

          public Object getCombinedCoreAndDeletesKey()

      Overrides:
        `getCombinedCoreAndDeletesKey` in class `IndexReader`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.